FreeCad Absturz nach diversen Updates

Hinweis: In dem Thema FreeCad Absturz nach diversen Updates gibt es 26 Antworten auf 3 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Ok ich habe ein paar Updates eingespielt die mir angeboten wurden

    ach ja

    Betriebssystem: openSUSE Leap 15.2

    KDE-Plasma-Version: 5.18.6

    KDE-Frameworks-Version: 5.71.0

    Qt-Version: 5.12.7

    Kernel-Version: 5.3.18-lp152.60-default

    Art des Betriebssystems: 64-bit

    Prozessoren: 4 × Intel® Core™ i7-2620M CPU @ 2.70GHz

    Speicher: 9,6 GiB Arbeitsspeicher


    sobald ich in Freecad was anlegen will oder eine bestehende datei öffnen möchte stürzt das system ab


    FreeCAD 0.19, Libs: 0.19RUnknown


    connect failed: Datei oder Verzeichnis nicht gefunden

    Program received signal SIGSEGV, Segmentation fault.

    #0 /lib64/libc.so.6(+0x395a0) [0x7f366ccea5a0]


    Und Downgrade auf 0.18 bringt es auch nicht auch dort gibt es fehler :-( (andre aber auch nicht nutzbar)

    und die 0.19 lief mal .....

    Kein Plan welches Update da fehlerhaft war ...

    ;(

    Das gesamte Wissen ist das Wasser der Ozeane, das Wissen der Menschheit ist die Ostsee, mein wissen ist ein Eimerchen.

    Einmal editiert, zuletzt von ronda-melmag ()

    Für den Inhalt des Beitrages 288310 haftet ausdrücklich der jeweilige Autor: ronda-melmag

  • Hi,


    ich habe ebenfalls Leap 15.2. Dort ist die Version 0.18 Installiert. Logisch, läuft.

    Wir haben die gleiche Kernel-Version. Bei QT und Plasma sind wir wohl auch gleich auf...


    Warum, wieso, weshalb und woher hast du die 0.19er-Version?

    Hast du ein spezielles Repo eingebunden?

    Für den Inhalt des Beitrages 288314 haftet ausdrücklich der jeweilige Autor: ThomasS

  • Warum, wieso, weshalb und woher hast du die 0.19er-Version?

    Dieser Frage schließe ich mich an!

    Selbst https://www.freecadweb.org/ bietet als stabile Version die 0.18.4 an.

    Auf meinem aktuellen Tumbleweed wird die 0.18.5 installiert.


    Ok ich habe ein paar Updates eingespielt die mir angeboten wurden

    Von wem wurden die angeboten?

    Ich rate dringend dazu, immer nur die von der eigenen Distribution angebotenen Pakete zu installieren!

    (Es gibt natürlich Ausnahmen, die stehen hier aber nicht zur Debatte!)




    ________

    (Eventuelle Entwicklerversionen sind für Entwickler, nicht für Nutzer!)

  • Da hat sicher die Versionitis wieder zugeschlagen.

    So sehe ich das auch!

    Die 0.19_pre gibt es. Ja. Das ist eine pre/vor- Version! Kein aktuelles Release!


    Sowas hat auf Rechnern von Anwendern nicht zu suchen! Gar nichts!

    Ich habe zwar auch gerne die neuesten (stabilen!) Versionen.


    Aber nie und nimmer würde ich mir reine Entwicklerversionen auf meinen Arbeitsrechnern installieren. Schon alleine durch die Installation kann man sein System versauen, wenn man nicht zu 99,99999% weiß, was man macht! Das läßt sich oft nur noch sehr schwer reparieren!


    Entwicklerversionen gehören auf Entwickler-Computer!

  • Entwicklerversionen gehören auf Entwickler-Computer!

    Das muss ich in aller Deutlichkeit unterschreiben! Wer sich immer die neueste Version in den Rechner presst, nur weil er meint, davon einen Vorteil zu erlangen, kann und wird es mit Problemen zu tun bekommen, die im schlimmsten Fall sein ganzes System zerlegen können.

  • Jo ist die pre version

    und ich habe natürlich versucht zurück auf die version 0.18.4 zu gehen aber aber auch da gibt es fehlermeldungen - die 0.19 hatte ich eigendlich installiert weil die schulungsvideos die ich mir reinziehe von 0.19 ausgehen

    --- snipp --

    FreeCAD-0.18.4-lp152.1.15.x86_64.rpm wird installiert

    dann wenn ich "partdesign" aufrufe:


    /usr/lib64/FreeCAD/lib/Part.so: undefined symbol: _ZN19Geom_BSplineSurface7SegmentEdddd

    Das gesamte Wissen ist das Wasser der Ozeane, das Wissen der Menschheit ist die Ostsee, mein wissen ist ein Eimerchen.

    Für den Inhalt des Beitrages 288354 haftet ausdrücklich der jeweilige Autor: ronda-melmag

  • ich habe natürlich versucht zurück auf die version 0.18.4 zu gehen

    Tja, da hat die pre schon Konfigurationsdateimüll hinterlassen, den du so nicht mehr weg bekommst.

  • Also komplett neu aufsetzen das System ?

    Naja ist ja sonntag - und da kann man schon 2 stunden investieren um das system neu zu installieren

    Das gesamte Wissen ist das Wasser der Ozeane, das Wissen der Menschheit ist die Ostsee, mein wissen ist ein Eimerchen.

    Für den Inhalt des Beitrages 288361 haftet ausdrücklich der jeweilige Autor: ronda-melmag

  • Hallöchen,


    mach mal ein Backup vom ~/.FreeCAD Verzeichnis und dann lösche ihn und starte FreeCAD. funktioniert es dann?


    Beste Grüße


    edit:


    ... und poste mal die Ausgabe von

    Code
    zypper lr -up